RainbowParameters (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.pqc.crypto.rainbow

## Class RainbowParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.rainbow.RainbowParameters

- All Implemented Interfaces:
    CipherParameters

      public class RainbowParameters
      extends java.lang.Object
      implements CipherParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RainbowParameters()` Default Constructor The elements of the array containing the number of Vinegar variables in each layer are set to the default values here.
    `RainbowParameters(int[] vi)` Constructor with parameters

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDocLength()` Getter for the number of all the polynomials in Rainbow
    `int` | `getNumOfLayers()` Getter for the number of layers
    `int[]` | `getVi()` Getter for the array containing the number of Vinegar-variables per layer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RainbowParameters

          public RainbowParameters()

      Default Constructor The elements of the array containing the number of Vinegar variables in each layer are set to the default values here.

    - #### RainbowParameters

          public RainbowParameters(int[] vi)

      Constructor with parameters
      Parameters:
        `vi` - The elements of the array containing the number of Vinegar variables per layer are set to the values of the input array.

  - ### Method Detail

    - #### getNumOfLayers

          public int getNumOfLayers()

      Getter for the number of layers
      Returns:
        the number of layers

    - #### getDocLength

          public int getDocLength()

      Getter for the number of all the polynomials in Rainbow
      Returns:
        the number of the polynomials

    - #### getVi

          public int[] getVi()

      Getter for the array containing the number of Vinegar-variables per layer
      Returns:
        the numbers of vinegars per layer